Bug 3553 - Partition not marked bootable when LILO installed in partition boot record
Partition not marked bootable when LILO installed in partition boot record
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
5.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-06-17 21:27 EDT by jj.walker
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-10 15:15:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jj.walker 1999-06-17 21:27:27 EDT
This bug has been seen on both an RH5.2 install here at work
and two of my RH6.0 machines at home. The RH install
procedure does not mark the partition as bootable if it is
instructed to install LILO into a partition boot record.
Consequently a non-system disk error results when rebooting
after the install process is completed - I would imagine
that if the box had another OS on it (the three in question
don't) that this would boot instead of LILO. This does not
happen if the installer is told to install LILO to the
master boot record instead. Fixing is a simple matter of
starting with a boot floppy, running fdisk and marking the
appropriate partition as bootable, however this would be
non-obvious to a new user to Linux who happened to choose to
install LILO in this way.

I use fdisk when partitioning disks on new installs - I do
not know if this problem applies when partitioning with Disk
Druid.
Comment 1 Jay Turner 2000-02-10 15:15:59 EST
This issue is resolved in the current installer.

Note You need to log in before you can comment on or make changes to this bug.